-- $Horde: hermes/scripts/sql/hermes.sql,v 1.2 2004/09/21 03:34:02 chuck Exp $

CREATE TABLE hermes_timeslices (
    timeslice_id           INT NOT NULL,
    clientjob_id           VARCHAR(255) NOT NULL,
    employee_id            VARCHAR(255) NOT NULL,
    jobtype_id             VARCHAR(100) NOT NULL,
    timeslice_hours        NUMERIC(10, 2) NOT NULL,
    timeslice_rate         NUMERIC(10, 2),
    timeslice_isbillable   SMALLINT NOT NULL DEFAULT 0,
    timeslice_date         INT NOT NULL,
    timeslice_description  TEXT NOT NULL,
    timeslice_note         TEXT,
    timeslice_submitted    SMALLINT NOT NULL DEFAULT 0,
    timeslice_exported     SMALLINT NOT NULL DEFAULT 0,
--
    PRIMARY KEY (timeslice_id)
);

CREATE TABLE hermes_jobtypes (
    jobtype_id    INT NOT NULL,
    jobtype_name  VARCHAR(255),
--
    PRIMARY KEY (jobtype_id)
);

CREATE TABLE hermes_clientjobs (
    clientjob_id                VARCHAR(255) NOT NULL,
    clientjob_enterdescription  SMALLINT NOT NULL DEFAULT 1,
    clientjob_exportid          VARCHAR(255),
--
    PRIMARY KEY (clientjob_id)
);

GRANT SELECT, INSERT, UPDATE, DELETE ON hermes_timeslices TO horde;
GRANT SELECT, INSERT, UPDATE, DELETE ON hermes_jobtypes TO horde;
GRANT SELECT, INSERT, UPDATE, DELETE ON hermes_clientjobs TO horde;
